Author Topic: Center of curve  (Read 1821 times)

0 Members and 1 Guest are viewing this topic.

Gliderider

  • Guest
Center of curve
« on: August 14, 2008, 09:21:25 AM »
I'm attempting to write a routine to return the PI (point of intersection) of a curve (either simple arc or polyline arc). I was hoping someone could give some direction on how to return the radius point of a poyline arc.
Thanks

Gliderider

  • Guest
Re: Center of curve
« Reply #1 on: August 14, 2008, 10:46:12 AM »
Never mind... I was trying to make it harder than it needed to be, sometimes you can't see the forest for the trees...
sorted it with
Code: [Select]
(setq ent (entsel)
        pt  (osnap (cadr ent) "nea")
crv-rp (osnap pt "cen"))

cjw

  • Guest
Re: Center of curve
« Reply #2 on: August 22, 2008, 01:28:31 AM »
how to return the radius point of a poyline arc.

hopes this link can help you...
http://www.afralisp.net/lisp/Bulges1.htm

TimSpangler

  • Water Moccasin
  • Posts: 2010
  • CAD Naked!!
Re: Center of curve
« Reply #3 on: August 22, 2008, 07:19:29 AM »
how to return the radius point of a poyline arc.

Are you talking about the center point?
ACA 2015 - Windows 7 Pro
All Comments and Content by TimSpangler, Copyright © 2016

Gliderider

  • Guest
Re: Center of curve
« Reply #4 on: August 22, 2008, 07:29:57 AM »
Yes, Center point/Radius point; tomato, tomahto

Daniel J. Ellis

  • Swamp Rat
  • Posts: 811
Re: Center of curve
« Reply #5 on: August 22, 2008, 08:53:57 AM »
i.e. one's right, one's wrong? lol

DJE
===
dJE

Mark

  • Custom Title
  • Seagull
  • Posts: 28762
Re: Center of curve
« Reply #6 on: August 22, 2008, 10:57:46 AM »
Here's a fine tutorial from Mr. Madsen.

http://www.theswamp.org/index.php?topic=467.0
TheSwamp.org  (serving the CAD community since 2003)

Gliderider

  • Guest
Re: Center of curve
« Reply #7 on: August 22, 2008, 11:13:34 AM »
Thanks Mark and Mr. Madsen, that's very informative. I always wondered what 'Parameters' were.